<?php
defined('FINE_PATH') || exit;
/**
 * faq列表模块 (仅内容页使用，调全部，无分页)
 * @param string dateformat 时间格式
 * @return array
 */
function kp_block_faq($conf) {
	global $run, $_show;

	$dateformat = empty($conf['dateformat']) ? 'Y-m-d H:i:s' : $conf['dateformat'];
	$orderway = 1;

	$pid = &$_show['id'];

	// 排除单页模型
	if($run->_var['mid'] == 1) return FALSE;

	// 如果没有则退出
	if(empty($_show['faqs'])) return FALSE;

	// 获取列表
	$list_arr = $run->cms_faq->find_fetch(array('pid' => $pid), array('id' => $orderway));
	foreach($list_arr as &$v) {
		$run->cms_faq->format($v, $dateformat);
	}
	return array('list' => $list_arr);
}
